## e2fsprogs 1.44.1

=== debian/changelog ===
e2fsprogs (1.44.1-1ubuntu1.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read/write vulnerability
    Issue leads to segmentation fault and possibly arbitrary code
    execution via a specially crafted filesystem.
    - debian/patches/CVE-2022-1304.patch: checks that all leaf nodes of
      file system contain at least one extent.
    - CVE-2022-1304

 -- Mark Esler <mark.esler@canonical.com>  Thu, 02 Jun 2022 09:37:00 -0500

e2fsprogs (1.44.1-1ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - CVE-2019-5188

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 22 Jan 2020 11:40:45 -0300

e2fsprogs (1.44.1-1ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write on the heap
    - debian/patches/CVE-2019-5094.patch: add checks to prevent
      buffer overrun in quota code in lib/support/quotaio_tree.c,
      lib/support/quotaio_v2.c, lib/support/mkquota.c.
    - CVE-2019-5094

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 26 Sep 2019 15:01:58 -0300

e2fsprogs (1.44.1-1ubuntu1.1) bionic; urgency=medium

  * d/patches/0001-resize2fs-update-checksums-in-the-extent-tree-s-relo.patch:
    do the checksum update later in extent tree relocated block to denote the
    inode number change, otherwise the checksum update might be done in the old
    copy of the block. (LP: #1798562)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 24 Jan 2019 18:11:28 -0500

e2fsprogs (1.44.1-1ubuntu1) bionic; urgency=medium

  * debian/patches/0001-libext2fs-fix-regression-so-we-are-correctly-
    transla.patch: cherry-pick upstream fix so we are correctly translating
    acls in mkfs.ext4.  Closes LP: #1807288.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Dec 2018 10:39:48 -0800

e2fsprogs (1.44.1-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS problem on Hurd (Closes: #893590)
  * Fix e2fsck support of HTree directories on big-endian systems
  * Fix miscellaneous e2image image handling for file systems with bigalloc
    and meta_bg features enabled.
  * Fix orphan list handling of inodes on bigalloc file systems (and other
    situations where inodes need to be deleted or truncated) in e2fsck.
  * Update Sweedish translation.
  * Add Vcs-* headers in Debian packaging (Closes: #887512)
  * Speed up reading bitmap blocks in debugfs when opening large file
    systems.
  * Add clarifications to chattr's man page.  (Closes: #890390)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 24 Mar 2018 15:13:28 -0400

e2fsprogs (1.44.0-1) unstable; urgency=medium

  * New upstream release
  * Update Czech, Spanish, French, Malay, and Ukrainian translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 07 Mar 2018 14:39:52 -0500

e2fsprogs (1.44.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Fix FTBFS problem on Hurd
  * Improved e2fsck's consistency checking for symlink.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 04 Mar 2018 15:57:21 -0500

e2fsprogs (1.44.0~rc1-1) experimental; urgency=low

  * New upstream release
  * Add support for the large_dir feature
  * Add support for the ea_data feature
  * Resize2fs will not complain about online resizes of bigalloc file
    systems
  * Debugfs's ls command will now print the high bits of the mode bits
  * Fix some corner cases with tune2fs and journal replay
  * Add support for libreadline.so.7
  * E2freefrag will now use the GETFSMAP ioctl for mounted file systems
  * E2fsck is now much faster when scanning extents on bigalloc file systems
  * Fix various compiler and UBSAN warnings

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 27 Feb 2018 16:56:32 -0500

e2fsprogs (1.43.9-2) unstable; urgency=medium

  * Fix upgrade when there are two installations of a library (for
    different architectures) that we are transitioning to the new package
    name.  (Closes: #890590)
  * Add support for libreadline.so.7 to libss
  * Fix tune2fs's journal recovery support
  * Fix tune2fs to require a freshly checked file system if turning off
    the metadata_csum feature and UUID has been changed.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 24 Feb 2018 20:48:29 -0500

e2fsprogs (1.43.9-1) unstable; urgency=medium

  * Remove some obsolete flags and add document new flags in the chattr
    man page
  * Remove misplaced "MNP is unsupported" message from debugfs
  * Suppress false positive lintian warning about "new essential
    package" (caused by preparatory work to make the e2fsprogs
    package no longer essential)
  * Fixing missing "General" in "GNU General Public License" in
    copyright files.
  * Fix whitespace issue in the debian control file
  * Update the Hungarian translation.
  * Rename the packages e2fslibs* to libext2fs* and libcomerr2* to
    libcom-err2* to conform with the standard Debian library package
    naming conventions.  (Closes: #269569)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 08 Feb 2018 13:09:49 -0500

e2fsprogs (1.43.8-2) unstable; urgency=medium

  * Update debian policy version to 4.1.3
  * Mark library packages as priority: optional
  * Simplify the debian/rules file and don't build e2fsprogs-l10n
    unnecessarily
  * Fix FTBFS on big-endian systems (Closes: #886119)
  * Add support for the build profile: noudeb
  * Add support for the build profile: pkg.e2fsprogs.no-fuse2fs
  * Add support for the build profile: pkg.e2fsprogs.no-static-e2fsck

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 03 Jan 2018 16:18:40 -0500

e2fsprogs (1.43.8-1) unstable; urgency=medium

  * New upstream version
  * Fix a bug where updated bitmap checks might not be written to disk.
    (Closes: #883869)
  * Add missing byte swaps for newly added fields in the superbloc

