## e2fsprogs 1.44.4

=== debian/changelog ===
e2fsprogs (1.44.4-2ubuntu0.2) cosmic; urgency=medium

  * d/patches/0001-resize2fs-update-checksums-in-the-extent-tree-s-relo.patch:
    do the checksum update later in extent tree relocated block to denote the
    inode number change, otherwise the checksum update might be done in the old
    copy of the block. (LP: #1798562)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 25 Jan 2019 10:02:34 -0500

e2fsprogs (1.44.4-2ubuntu0.1) cosmic; urgency=medium

  * debian/patches/0001-libext2fs-fix-regression-so-we-are-correctly-
    transla.patch: cherry-pick upstream fix so we are correctly translating
    acls in mkfs.ext4.  Closes LP: #1807288.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Dec 2018 12:12:52 +0200

e2fsprogs (1.44.4-2) unstable; urgency=medium

  * tune2fs fix dereference of freed memory after journal
  * fix verity support
  * Generate NEWS.gz for e2fsprogs's package documentation directory
  * Update Debian policy compliance to 4.2.0
  * Improve version dependency for libcom-err and ss2 for e2fsprogs

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 22 Aug 2018 19:30:17 -0400

e2fsprogs (1.44.4-1) unstable; urgency=medium

  * New upstream release
  * Add basic support for the ext4 verity (fsverity) feature
  * E2fsck will fix file systems that have both the resize_inode
    and meta_bg feature enabled
  * Debugfs's ncheck command will now correctly inodes that have
    multiple hard links
  * Remove kilo/kibi rant (Closes: #757831)
  * Update Danish, Spanish, and Swedish translations
  * Fix symlink to directory conversions (Closes: #905195)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 18 Aug 2018 20:46:29 -0400

e2fsprogs (1.44.3-1) unstable; urgency=medium

  * New upstream release
  * Include hashmap.h in the libext2fs2 package
  * Update debian policy compliance to 4.1.5

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 10 Jul 2018 01:23:17 -0400

e2fsprogs (1.44.3~rc2-1) unstable; urgency=low

  * New upstream release
  * Debugfs's inode_dump and xattr_dump commands have new options to
    display the low-level contents of an inode's i_blocks and extra
    space, and to better be able to debug corrupted extended attributes.
  * The dumpe2fs command now will show information about the Multi-Mount
    Protection (MMP) block, if present
  * E2fsck, dumpe2fs, and debugfs is now much more robust at handling
    badly (or maliciously) corrupted file systems.
  * E2fsck will now offer to enable the dir_nlink feature if it is
    required by the file system
  * The project id field in the inode is now properly byte-swapped on
    big-endian systems
  * E2fsprogs better handles recent kernels which reports old error
    conditions via the first fsync() after the file is opened
  * Updated/fixed various man pages
  * Update Czech, Dutch, Spanish, French, Polish, Swedish, Ukrainian, and
    Vietnamese translations
  * Update debian policy compliance to 4.1.4

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 3 Jul 2018 23:31:40 -0400

e2fsprogs (1.44.2-1) unstable; urgency=medium

  * New upstream release
  * Demote e2fsprogs from Essential: yes to XB-Important: yes
    (Closes: #474540)
  * Fix mke2fs to print a more useful/correct error message if
    ext2fs_close_free() fails at the end of the file system
    creation process
  * Improve chattr's man page
  * Update Polish translation

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 14 May 2018 19:59:27 -0400

e2fsprogs (1.44.1-2) unstable; urgency=medium

  * Fix e2image handling of e2i files on big endian systems
  * Add sanity checks for inodes containing xattr values to prevent
    maliciously crafted file systems from causing crashes caused by
    infinite recursion
  * Fix e2fsck so that quota usage is adjusted when clearing orphaned
    inodes
  * Fix filefrag so that unknown flags returned by FIEMAP won't cause a
    buffer overrun

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 10 Apr 2018 11:04:36 -0400
