## e2fsprogs 1.44.5

=== debian/changelog ===
e2fsprogs (1.44.5-1+deb10u3) buster; urgency=medium

  * Fix CVE-2019-5188: potential stack underflow in e2fsck (Closes: #948508)
  * Fix use after free in e2fsck (Closes: #948517)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 09 Jan 2020 20:19:57 -0500

e2fsprogs (1.44.5-1+deb10u2) buster-security; urgency=high

  * Fix CVE-2019-5094: potential buffer overrun in e2fsck (Closes: #941139)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 25 Sep 2019 13:37:44 -0400

e2fsprogs (1.44.5-1+deb10u1) buster; urgency=medium

  * Fix e4defrag crashes on 32-bit architectures (Closes: #920767)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 02 Aug 2019 23:49:00 -0400

e2fsprogs (1.44.5-1) unstable; urgency=medium

  * New upstream version
  * Avoid overflows when tracking the number of files defragged
    by e4defrag (Closes: #888899)
  * Fix groff formatting nits in various man pages (Closes: #916188)
  * Fix location of libext2fs documentation (Closes: #915942)
  * Fix regression so we are correctly translating Posix ACL's
    in libext2fs
  * Use the online free block counts so e2freefrag's percentages
    are correct
  * Fix a false warning that tune2fs will take long time to change
    a UUID if the metadata_csum feature is not enabled
  * Fix mk_cmds so it works on a usrmerge system when e2fsprogs is built
    on a non-usrmerge system (Closes: #914087)
  * E2fsck will avoid offering to set the inline_data feature flag
    unnecessarily
  * E4defrag will handle the case where it is running as root and it can't
    find the file system to open more gracefully (Closes: #907634)
  * Fix a bug where resize2fs was failing to update the extent tree
    checksums in an corner case
  * Fix fuse2fs's command line parsing when options are specified after
    the target device/image
  * Fix a bug which could cause e2fsprogs tools to segfault on a corrupted
    file system where the journal's s_nr_users is impossibly large.
  * E2image now includes the mmp block (if needed) when creating a
    metadata-only image.
  * When e2fsck notices it could optimize an extent tree, it will now ask
    "Optimize?" instead of "Fix?", which was confusing some users since it
    implied that something was broken.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 15 Dec 2018 22:46:49 -0500
