## e2fsprogs 1.44.5.3

=== debian/changelog ===
e2fsprogs (1.44.5.3-1+dde) buster; urgency=medium

  * Fix CVE-2022-1304.

 -- dinghao <dinghao@uniontech.com>  Fri, 30 Sep 2022 16:17:02 +0800

e2fsprogs (1.44.5.2-1+dde) buster; urgency=medium

  * safe compile for PIE check.

 -- changlianzhi <changlianzhi@uniontech.com>  Thu, 08 Nov 2021 14:34:26 +0800

e2fsprogs (1.44.5.1-1+dde) buster; urgency=medium

  * performance optimization for ext4

 -- liujianqiang <liujianqiang@uniontech.com>  Wed, 19 May 2021 15:01:28 +0800
