=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,10 @@
 	DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
 	dpkg-buildflags --get CPPFLAGS; fi)
 
+CFLAGS += -pie -fPIC
+CPPFLAGS += -pie -fPIC
+LDFLAGS += -pie -fPIC
+
 ifeq (${DEB_HOST_ARCH},alpha)
 CFLAGS += -DHAVE_NETINET_IN_H
 else
@@ -239,5 +243,3 @@
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	cd ${bfbuilddir} && AWK=/usr/bin/awk \
 		../../configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
-		${EXTRA_CONF_FLAGS} CFLAGS="${CFLAGS} ${BF_CFLAGS}" \
-		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
