## e2fsprogs 1.44.6

=== debian/changelog ===
e2fsprogs (1.44.6-1ubuntu0.2) disco-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - CVE-2019-5188

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 22 Jan 2020 11:57:25 -0300

e2fsprogs (1.44.6-1ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write on the heap
    - debian/patches/CVE-2019-5094.patch: add checks to prevent
      buffer overrun in quota code in lib/support/quotaio_tree.c,
      lib/support/quotaio_v2.c, lib/support/mkquota.c.
    - CVE-2019-5094

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 26 Sep 2019 15:47:12 -0300

e2fsprogs (1.44.6-1) unstable; urgency=medium

  * New upstream version
  * Fix e4defrag overflow problem when files are being created while it is
    running (Closes: #888899)
  * Fix e2fsck so it can correctly handle directories > 2 GiB when the
    largedir feature is enabled.
  * Fix mke2fs's hugefile creation so it works correctly for certain
    unfortunately sized disks/partitions.
  * Fix the libext2fs library to be more robust against
    invalid/maliciously corrupted block group descriptors.
  * Fix mke2fs and debugfs so they can correctly copy in files > 2 GiB.
  * Fix debugfs so its stat command can correct supportly display directory
    sizes > 2 GiB.
  * Fix memory leaks in debugfs, mke2fs, and e2freefrag.
  * Avoid unnecessarily linking badblocks with the libblkid shared library.
    (Closes: #919958)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 05 Mar 2019 15:10:40 -0500
