=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: e2fsprogs
 Section: admin
 Priority: required
-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
 Build-Depends: gettext, texinfo, pkg-config, libfuse-dev [linux-any kfreebsd-any] <!pkg.e2fsprogs.no-fuse2fs>, libattr1-dev, debhelper (>= 9.0), libblkid-dev, uuid-dev, m4
 Standards-Version: 4.2.1
 Homepage: http://e2fsprogs.sourceforge.net
