## e2fsprogs 1.45.1

=== debian/changelog ===
e2fsprogs (1.45.1-3) unstable; urgency=medium

  * Fix e2scrub_all cron failures (Closes: #9292870)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 20 May 2019 21:48:40 -0400

e2fsprogs (1.45.1-2) unstable; urgency=medium

  * Avoid spurious e2scrub_all error messages spamming administrators from
    cron/systemd timer units when lvm2 is not installed and/or there are
    no lvm devices present in the system (Closes: #928977, #929186, #929254)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 20 May 2019 11:02:09 -0400

e2fsprogs (1.45.1-1) unstable; urgency=medium

  * New upstream feature
  * Drop lvm2 from the recommends line (Closes: #924275)
  * Add the -n flag to the e2scrub and e2scrub_all commands
  * Teach e2scrub to issue more useful error messages
  * Update support for the case-folding file system feature to match what
    finally will be landing in the kernel.
  * Teach e2scrub_all to skip scrubing a file system if there is not
    enough free space to create a snapshot.  (Closes: #924301)
  * Fixed debugfs so it correctly prints ea_in_inode xattr values.
  * Debugfs now prints non-printing characters using C-style hex escape
    sequences.
  * E2fsck now checks the unused portions of the bitmap blocks when the
    number of blocks/inodes is less than the full blocksize to make sure
    they are properly set.
  * Fixed mke2fs's insanely large file system check, so that creating a
    900TB file system will succeed.
  * E2scrub now tags its temp snapshot volumes with UDISK_IGNORE to avoid
    them showing up in GUI's.  (Closes: #926112)
  * Mark the e2scrub systemd service files to indicate that it requires
    CAP_SYS_ADMIN and CAP_SYS_RAWIO so e2scrub will get skipped when run
    in cointainers that don't give root these capabilities.  (Closes: #926138)
  * E2fsck can now save a problem code log for debugging or monitoring
    purposes.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 12 May 2019 21:23:25 -0400

e2fsprogs (1.45.0-1) unstable; urgency=medium

  * New upstream feature
  * tune2fs can now set the file system error bit to force a check at the
    next fsck by using the extended option "force_fsck".
  * There is now an e2scrub script which will allow e2fsck to be run
    on mounted file systems using an LVM device.  There will be a systemd
    script to automatically run e2scrub on all ext4* file systems where it
    can be supported.
  * mke2fs will attempt avoid discarding pre-allocated blocks when
    initializing a file system on a file.
  * The fuse2fs command now supports a "fakeroot" option to allow an
    unprivileged user to fuse2fs to modify rootfs images.
  * Add initial support for the character set and case-folding file system
    feature.
  * Debugfs can now set the inode's checksum field
  * E2image now accepts the -b and -B options to allow the user to specify
    the superblock location when creating a raw or qcow2 image.
  * Update the debhelper compatibility level to 11
  * Update the Debian policy compliance to 4.3.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 06 Mar 2019 12:55:18 -0500
