## e2fsprogs 1.45.3

=== debian/changelog ===
e2fsprogs (1.45.3-4ubuntu2.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2019-5188-*.patch:  abort if there is a corrupted
      directory block when rehashing and don't try to rehash a deleted directory
      in e2fsck/rehash.c, e2fsck/pass1b.c.
    - CVE-2019-5188

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 22 Jan 2020 11:58:40 -0300

e2fsprogs (1.45.3-4ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write on the heap
    - debian/patches/CVE-2019-5094.patch: add checks to prevent
      buffer overrun in quota code in lib/support/quotaio_tree.c,
      lib/support/quotaio_v2.c, lib/support/mkquota.c.
    - CVE-2019-5094

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 30 Sep 2019 14:57:59 -0300

e2fsprogs (1.45.3-4ubuntu1) eoan; urgency=medium

  * Merge with Debian testing, remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 08 Sep 2019 04:12:08 -0600

e2fsprogs (1.45.3-4) unstable; urgency=medium

  * stop using Link Time Optimization; it breaks reproducible builds
  * skip "make check" if DEB_BUILD_OPTIONS contains nocheck; this is
    needed for some ports builds to complete successfully (Closes: #933247)
  * fix e2fsprogs build problems on non-Linux ports

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 06 Aug 2019 15:22:30 -0400

e2fsprogs (1.45.3-3) unstable; urgency=medium

  * Fix Breaks/Replace dependency for logsave (Closes: #932874)
  * Mark logsave as Multi-Arch: foreign (Closes: #932876)
  * Fix test bug on the x32 architecture (Closes: #932906)
  * Fix FTBFS problem on FreeBSD and Hurd since they don't have systemd
  * Fix blhc problem when running "make check"

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 25 Jul 2019 15:35:01 -0400

e2fsprogs (1.45.3-2) unstable; urgency=medium

  * Add a hard dependency on logsave to e2fsprogs to fix initramfs issues
    (Closes: #932855, #932859, #932861, #932881, #932888)
  * Add check in e2scrub_all.cron so that it doesn't fail if the package
    is removed, since e2scrub_all.cron is marked as a config file.
    (Closes: #932622)
  * Update the Debian policy compliance to 4.4.0
  * Update Czech, French, German, Polish, Portuguese, Swedish, and
    Ukrainian translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 24 Jul 2019 12:56:52 -0400

e2fsprogs (1.45.3-1) unstable; urgency=medium

  * New upstream version
  * Automatic online file system scrubs is now disabled by default.
    They can be enabled by editing /etc/e2scrub.conf.
  * fuse2fs is now installed in /usr/bin instead of /usr/sbin
  * Fix fuse2fs compatibility with fuse3; but specifying the
    nonempty option may be necessary if fusermount with fuse v2 is in use.
    See NEWS.gz for more details.
  * Fixed e2fsck support of file systems using large_dir and inline
    directories at the same time.
  * Fixed a bug in e2scrub_all so it correctly handles an LUKS volume
    stacked on top of an LV.  (Closes: #931387)
  * Fixed a bug in e2scrub_all so it correctl specifies the volumes to
    clean up when using "e2scrub_all -r".   (Closes: #931679)
  * Fixed improper use of positional markers in the Czech, Dutch,
    German, and Vietnamese translations.  (Closes: #892173)
  * Remove ancient special-case CFLAGS for Alpha and Powermac platforms
  * Drop packaging support for Debian Jessie
  * Use the same build tree for the e2fsprogs udeb package
  * Restructure rules file to use dh
  * Only require the udev, systemd, and cron build dependencies when
    building on Linux. (Closes: #931266)
  * Move logsave to its own package.  (Closes: #923372)
  * Update the Czech and Dutch translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 14 Jul 2019 21:01:11 -0400

e2fsprogs (1.45.2-1ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf such that lvm migration
      between non-4k PVs and 4k PVs works irrespective of the volume
      size.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jun 2019 11:51:53 +0200

e2fsprogs (1.45.2-1) unstable; urgency=medium

  * New upstream version
  * When mke2fs asks the user if she should proceed, fall back to the
    English 'y' or 'Y' characters since there could be a missing
    translation prompting the use of the English 'y' character.
    (Closes: #907034)
  * Fix spurious complaint of blocks beyond i_size for verity files.
  * Update the Czech, Malay, Polish, Spanish, Swedish, and Ukarainian
    translations.  Add the new Portuguese translation.  (Closes: #912185)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 27 May 2019 21:46:31 -0400

e2fsprogs (1.45.1-1ubuntu1) eoan; urgency=medium

  * Use 4k blocksize in all ext4 mke2fs.conf such that lvm migration
    between non-4k PVs and 4k PVs works irrespective of the volume
    size. LP: #1817097

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 15 May 2019 16:15:22 +0200
