=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: gettext, texinfo, pkg-config, libfuse-dev [linux-any kfreebsd-any] <!pkg.e2fsprogs.no-fuse2fs>, libattr1-dev, debhelper (>= 9.0), libblkid-dev, uuid-dev, m4
-Standards-Version: 4.2.1
+Build-Depends: gettext, texinfo, pkg-config, libfuse-dev [linux-any kfreebsd-any] <!pkg.e2fsprogs.no-fuse2fs>, libattr1-dev, debhelper (>= 11.0), dh-exec, libblkid-dev, uuid-dev, m4, udev [linux-any], systemd [linux-any], cron [linux-any]
+Standards-Version: 4.4.0
 Homepage: http://e2fsprogs.sourceforge.net
 Vcs-Browser: https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git
 Vcs-Git: https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git -b debian/master
@@ -19,8 +19,21 @@
  writing from devices or image files containing ext2, ext3, and ext4
  file systems.
 
+Package: logsave
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: e2fsprogs (<< 1.45.3-1)
+Breaks: e2fsprogs (<< 1.45.3-1)
+Architecture: any
+Multi-Arch: foreign
+Description: save the output of a command in a log file
+ The logsave program will execute cmd_prog with the specified
+ argument(s), and save a copy of its output to logfile.  If the
+ containing directory for logfile does not exist, logsave will
+ accumulate the output in memory until it can be written out.  A copy
+ of the output will also be written to standard output.
+
 Package: e2fsck-static
-Build-Profiles: <!pkg.e2fsprogs.no-static-e2fsck>
 Priority: optional
 Depends: ${misc:Depends}
 Recommends: sash | bash-static | zsh-static | busybox-static
@@ -56,8 +69,8 @@
 Multi-Arch: same
 Priority: optional
 Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Description: transitional package to libcom-err2
+ This is a transitional package to libcom-err2. It can safely be removed.
 
 Package: libcom-err2
 Section: libs
@@ -120,7 +133,6 @@
  This package contains the development environment for the ss library.
 
 Package: e2fsprogs-udeb
-Build-Profiles: <!noudeb>
 Package-Type: udeb
 Section: debian-installer
 Priority: optional
@@ -139,16 +151,16 @@
 Multi-Arch: same
 Priority: optional
 Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Description: transitional package to libext2fs2
+ This is a transitional package to libext2fs2. It can safely be removed.
 
 Package: e2fslibs-dev
 Depends: libext2fs-dev, ${misc:Depends}
 Architecture: all
 Priority: optional
 Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Description: transitional package to libext2fs-dev
+ This is a transitional package to libext2fs-dev. It can safely be removed.
 
 Package: libext2fs2
 Section: libs
@@ -190,6 +202,7 @@
 Package: e2fsprogs
 XB-Important: yes
 Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, libblkid1, libuuid1
+Depends: logsave
 Multi-Arch: foreign
 Suggests: gpart, parted, fuse2fs, e2fsck-static
 Recommends: e2fsprogs-l10n
